//此乃本模块与后台交互的方法接口部分
var standardModel = function(format) {
	this.module = "standard";
	this.action = "";
	this.format = format;
};

//定义数据交互
standardModel.prototype = BusinessObject;

//动态插入代码表数据
standardModel.prototype.insertTable = function(){};
//动态修改代码表数据
standardModel.prototype.updateTable = function(){};
//动态删除代码表数据
standardModel.prototype.deleteTable = function(){};
//动态代码表数据更新到缓存
standardModel.prototype.updateCacheTable = function(){};

//获取标准代码表_分页
standardModel.prototype.listTables = function(){};
//获取所有标准代码表
standardModel.prototype.listAllTables = function(){};
//获取标准代码表的字段_分页
standardModel.prototype.listColumns = function(){};
//获取所有标准代码表的字段
standardModel.prototype.listAllColumns = function(){};
//动态获取单张标准代码表的数据_分页
standardModel.prototype.list = function(){};
//动态获取单张标准代码表的所有数据
standardModel.prototype.listAll = function(){};
//从缓存动态获取单张标准代码表的所有数据
standardModel.prototype.listAllCache = function(){};

//创建一个数据操作对象，然后再后续使用
standardModel.actAction = new standardModel("json").delegate("act");
//创建一个数据获取对象，然后再后续使用
standardModel.dataAction = new standardModel("json").delegate("data");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
